%bcond_with bootstrap

Summary:        Java implementation of XZ data compression
Name:           xz-java
Version:        1.9
Release:        4%{?dist}
License:        Public Domain
URL:            http://tukaani.org/xz/java.html
Source0:        http://tukaani.org/xz/xz-java-%{version}.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  javapackages-local
BuildRequires:  ant
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
A complete implementation of XZ data compression in Java.

It features full support for the .xz file format specification version 1.0.4,
single-threaded streamed compression and decompression, single-threaded
decompression with limited random access support, raw streams (no .xz headers)
for advanced users, including LZMA2 with preset dictionary.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.



%prep
%autosetup -c %{name}-%{version}

%mvn_file : %{name} xz



%build
mkdir -p extdoc && touch extdoc/package-list

%ant maven



%install
%mvn_artifact build/maven/xz-%{version}.pom build/jar/xz.jar

%mvn_install -J build/doc



%files -f .mfiles
%license COPYING
%doc README THANKS

%files javadoc -f .mfiles-javadoc
%license COPYING



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.9-3
- switched to non-bootstrap building

* Tue Apr 18 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.9-2
- rebuilding for opencloudos

* Tue Apr 18 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.9-1
- updated to upstream 1.9

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 1.8-2
- rebuilding for opencloudos

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 1.8-1
- initial build